#pragma once

#include "CoreMinimal.h"
#include "ECustomizationCategory.h"
#include "OutfitPartInfoViewData.generated.h"

USTRUCT(BlueprintType)
struct FOutfitPartInfoViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ECustomizationCategory Category;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString IconPath;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString DisplayName;

public:
	DBDUIVIEWINTERFACES_API FOutfitPartInfoViewData();
};

FORCEINLINE uint32 GetTypeHash(const FOutfitPartInfoViewData) { return 0; }
